Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.compressors.pack200
Class Pack200CompressorOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.commons.compress.compressors.CompressorOutputStream
              org.apache.commons.compress.compressors.pack200.Pack200CompressorOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class Pack200CompressorOutputStream

extends CompressorOutputStream

An output stream that compresses using the Pack200 format.

Since:
  Apache Commons Compress 1.3
This class is not thread-safe

Constructor Summary
`Pack200CompressorOutputStream(OutputStream out)` Compresses the given stream, caching the compressed data in memory.
`Pack200CompressorOutputStream(OutputStream out, Map<String,String> props)` Compresses the given stream, caching the compressed data in memory and using the given properties.
`Pack200CompressorOutputStream(OutputStream out, Pack200Strategy mode)` Compresses the given stream using the given strategy to cache the results.
`Pack200CompressorOutputStream(OutputStream out, Pack200Strategy mode, Map<String,String> props)` Compresses the given stream using the given strategy to cache the results and the given properties.

Method Summary
`void` | `close()`
`void` | `finish()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int from, int length)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out)
                                  throws IOException

  Compresses the given stream, caching the compressed data in memory.

  Throws:
    `IOException`

### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out,
                                         Pack200Strategy mode)
                                  throws IOException

  Compresses the given stream using the given strategy to cache the results.

  Throws:
    `IOException`

### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out,
                                         Map<String,String> props)
                                  throws IOException

  Compresses the given stream, caching the compressed data in memory and using the given properties.

  Throws:
    `IOException`

### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out,
                                         Pack200Strategy mode,
                                         Map<String,String> props)
                                  throws IOException

  Compresses the given stream using the given strategy to cache the results and the given properties.

  Throws:
    `IOException`

Method Detail

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int from,
                      int length)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### finish

    public void finish()
                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.